/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package preexamen;

import javax.swing.JOptionPane;

/**
 *
 * @author enriq
 */
public class jintRegistro extends javax.swing.JInternalFrame {

    /**
     * Creates new form jintRegistro
     */
    public jintRegistro() {
        initComponents();
        this.resize(776,493);
        this.deshabilitar();
    }
     public void deshabilitar(){
        this.cmbTipo.setEnabled(false);
        this.txtTotalPagar.setEnabled(false);
        this.txtImpuesto.setEnabled(false);
        this.txtCostoVenta.setEnabled(false);
        this.txtCant.setEnabled(false);
        this.txtCodVenta.setEnabled(false);
        this.txtPrecio.setEnabled(false);     
        this.btnCalcular.setEnabled(false);
        this.btnGuardar.setEnabled(false);
    }
     public void habilitar(){
         this.cmbTipo.setEnabled(true);
         this.txtCant.setEnabled(true);
         this.txtCodVenta.setEnabled(true);
       
         this.btnGuardar.setEnabled(true);
     } 
     
     public void limpiar(){
        this.txtTotalPagar.setText("");
        this.txtImpuesto.setText("");
        this.txtCostoVenta.setText("");
        this.txtCant.setText("");
        this.txtCodVenta.setText("");
        this.txtPrecio.setText("");
        this.cmbTipo.setSelectedIndex(0);
     }
     
     public boolean validar(){
         boolean exito = false;
            if ( this.txtCodVenta.getText().equals(""))exito=true;
            if ( this.txtCant.getText().equals(""))exito=true;
            
         return exito;
     }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        cmbTipo = new javax.swing.JComboBox<>();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        txtCodVenta = new javax.swing.JTextField();
        txtCant = new javax.swing.JTextField();
        jPanel1 = new javax.swing.JPanel();
        txtCostoVenta = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        txtPrecio = new javax.swing.JTextField();
        txtTotalPagar = new javax.swing.JTextField();
        txtImpuesto = new javax.swing.JTextField();
        btnGuardar = new javax.swing.JButton();
        btnCalcular = new javax.swing.JButton();
        btnNuevo = new javax.swing.JButton();
        btnCerrar = new javax.swing.JButton();
        btnCancelar = new javax.swing.JButton();
        btnLimpiar = new javax.swing.JButton();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        getContentPane().setLayout(null);

        cmbTipo.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Regular", "Premium" }));
        getContentPane().add(cmbTipo);
        cmbTipo.setBounds(160, 120, 170, 30);

        jLabel1.setText("Cantidad :");
        getContentPane().add(jLabel1);
        jLabel1.setBounds(90, 80, 157, 30);

        jLabel2.setText("Codigo de Venta :");
        getContentPane().add(jLabel2);
        jLabel2.setBounds(50, 40, 157, 38);

        jLabel3.setText(" Tipo de Gasolina :");
        getContentPane().add(jLabel3);
        jLabel3.setBounds(40, 110, 157, 38);
        getContentPane().add(txtCodVenta);
        txtCodVenta.setBounds(160, 40, 210, 30);
        getContentPane().add(txtCant);
        txtCant.setBounds(160, 80, 210, 30);

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));

        jLabel4.setText("Precio por Litro :");

        jLabel5.setText("Impuesto :");

        jLabel6.setText("Costo de Venta :");

        jLabel7.setText("Total a Pagar :");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel7)
                    .addComponent(jLabel5)
                    .addComponent(jLabel6))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(txtCostoVenta, javax.swing.GroupLayout.PREFERRED_SIZE, 130, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 153, Short.MAX_VALUE)
                        .addComponent(jLabel4, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(txtPrecio, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(26, 26, 26))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(txtTotalPagar, javax.swing.GroupLayout.PREFERRED_SIZE, 130, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(txtImpuesto, javax.swing.GroupLayout.PREFERRED_SIZE, 130, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(22, 22, 22)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel6)
                    .addComponent(txtCostoVenta, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(txtPrecio, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(19, 19, 19)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(txtImpuesto, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel7)
                    .addComponent(txtTotalPagar, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(31, Short.MAX_VALUE))
        );

        getContentPane().add(jPanel1);
        jPanel1.setBounds(70, 190, 640, 180);

        btnGuardar.setText("Guardar");
        btnGuardar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGuardarActionPerformed(evt);
            }
        });
        getContentPane().add(btnGuardar);
        btnGuardar.setBounds(600, 80, 130, 40);

        btnCalcular.setText("Calcular");
        btnCalcular.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCalcularActionPerformed(evt);
            }
        });
        getContentPane().add(btnCalcular);
        btnCalcular.setBounds(600, 130, 130, 40);

        btnNuevo.setText("Nuevo");
        btnNuevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnNuevoActionPerformed(evt);
            }
        });
        getContentPane().add(btnNuevo);
        btnNuevo.setBounds(600, 30, 130, 40);

        btnCerrar.setText("Cerrar");
        btnCerrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCerrarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCerrar);
        btnCerrar.setBounds(610, 400, 110, 30);

        btnCancelar.setText("Cancelar");
        btnCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancelarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCancelar);
        btnCancelar.setBounds(360, 400, 110, 30);

        btnLimpiar.setText("Limpiar");
        btnLimpiar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnLimpiarActionPerformed(evt);
            }
        });
        getContentPane().add(btnLimpiar);
        btnLimpiar.setBounds(80, 400, 110, 30);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnNuevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnNuevoActionPerformed
        // TODO add your handling code here:
        reg = new Registro();
        this.habilitar();
        this.limpiar();
    }//GEN-LAST:event_btnNuevoActionPerformed

    private void btnGuardarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnGuardarActionPerformed
        // TODO add your handling code here:
        if (this.validar() == false){
            reg.setCantidad(Integer.parseInt(this.txtCant.getText()));
            reg.setCodVenta(Integer.parseInt(this.txtCodVenta.getText()));
            int gasolina=this.cmbTipo.getSelectedIndex();
            switch (gasolina){
                case 0: reg.setPrecio(17.50f);
                        reg.setTipo(0);
                        break;
                case 1: reg.setPrecio(18.50f);
                        reg.setTipo(1);
                        break;
                        
            }
            
            JOptionPane.showMessageDialog(this, "Se guardo con exito la informacion");
            this.btnCalcular.setEnabled(true);
            
            
           
                
                
            
            
            
        }
        else JOptionPane.showMessageDialog(this, "Falto capturar Informacion");
        
        
    }//GEN-LAST:event_btnGuardarActionPerformed

    private void btnCalcularActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCalcularActionPerformed
        // TODO add your handling code here:
        this.txtCant.setText(String.valueOf(reg.getCantidad()));
        this.txtCodVenta.setText(String.valueOf(reg.getCodVenta()));
        this.txtCostoVenta.setText(String.valueOf(reg.calcularCostoVenta()));
        this.txtImpuesto.setText(String.valueOf(reg.calcularImpuesto()));
        this.txtPrecio.setText(String.valueOf(reg.getPrecio()));
        this.txtTotalPagar.setText(String.valueOf(reg.calcularTotalPagar()));
        this.cmbTipo.setSelectedIndex(reg.getTipo());
        
    }//GEN-LAST:event_btnCalcularActionPerformed

    private void btnLimpiarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnLimpiarActionPerformed
        // TODO add your handling code here:
        this.limpiar();
    }//GEN-LAST:event_btnLimpiarActionPerformed

    private void btnCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancelarActionPerformed
        // TODO add your handling code here:
        
        this.limpiar();
        this.deshabilitar();
    }//GEN-LAST:event_btnCancelarActionPerformed

    private void btnCerrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCerrarActionPerformed
        // TODO add your handling code here:
        int opcion=0;
        
        opcion = JOptionPane.showConfirmDialog(this, "Deseas salir", "Registro",JOptionPane.YES_NO_OPTION );
        if(opcion==JOptionPane.YES_OPTION){
            this.dispose();
        }
    }//GEN-LAST:event_btnCerrarActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnCalcular;
    private javax.swing.JButton btnCancelar;
    private javax.swing.JButton btnCerrar;
    private javax.swing.JButton btnGuardar;
    private javax.swing.JButton btnLimpiar;
    private javax.swing.JButton btnNuevo;
    private javax.swing.JComboBox<String> cmbTipo;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JTextField txtCant;
    private javax.swing.JTextField txtCodVenta;
    private javax.swing.JTextField txtCostoVenta;
    private javax.swing.JTextField txtImpuesto;
    private javax.swing.JTextField txtPrecio;
    private javax.swing.JTextField txtTotalPagar;
    // End of variables declaration//GEN-END:variables
private Registro reg;

}
